import request from '@/utils/request'

// 查询性能监测模型信息列表
export function listPerformanceMonitorModel(query) {
  return request({
    url: '/manage/performanceMonitorModel/list',
    method: 'get',
    params: query
  })
}

// 查询性能监测模型信息详细
export function getPerformanceMonitorModel(id) {
  return request({
    url: '/manage/performanceMonitorModel/' + id,
    method: 'get'
  })
}

// 新增性能监测模型信息
export function addPerformanceMonitorModel(data) {
  return request({
    url: '/manage/performanceMonitorModel',
    method: 'post',
    data: data
  })
}

// 修改性能监测模型信息
export function updatePerformanceMonitorModel(data) {
  return request({
    url: '/manage/performanceMonitorModel',
    method: 'put',
    data: data
  })
}

// 删除性能监测模型信息
export function delPerformanceMonitorModel(id) {
  return request({
    url: '/manage/performanceMonitorModel/' + id,
    method: 'delete'
  })
}
